# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section free
%define coin_version 0.1.0
%define drone_version 0.1.0
%define confman_version 0.2.3
%define construct_version 1.1
%define inherit_plugin_version 1.2
%define pax_plugin_version 1.4
%define logging_version 1.2
%define maven_version 0.9.16
%define radman_version 0.1.0
%define radman_api_version 0.1.1
%define radman_gateway_demo_version 0.1.0
%define radman_gateway_api_version 0.1.1
%define radman_gateway_core_version 0.1.1
%define radman_gateway_event_version 0.1.0
%define radman_gateway_jmx_version 0.1.1
%define radman_gateway_jpa_version 0.1.1
%define radman_gateway_serverSimulator_version 0.1.0
%define radman_gateway_tester_authentication_version 0.1.0
%define radman_gateway_testerBundle_version 0.1.0
%define radman_jmx_version 0.1.0
%define radman_jmx_gateway_version 0.1.1
%define radman_server_jmx_api_version 0.1.1
%define radman_server_jmx_core_version 0.1.1
%define radman_services_version 0.1.0
%define radman_services_bundleManager_version 0.1.0
%define radman_services_bundleManager_api_version 0.1.1
%define radman_services_bundleManager_service_version 0.1.1
%define radman_services_common_version 0.1.0
%define radman_service_common_core_version 0.1.1
%define radman_services_databases_version 0.1.0
%define radman_services_database_derby_version 0.1.0
%define pax_derby_version 0.1.1
%define radman_services_databases_jpa_version 0.1.0
%define pax_openjpa_example_version 0.1.1
%define pax_openjpa_version 0.1.1
%define radman_services_event_version 0.1.0
%define radman_services_scheduler_version 0.1.0
%define radman_services_scheduler_api_version 0.1.2
%define radman_services_scheduler_service_version 0.1.1
%define reflector_version 0.9.11
%define remoting_version 0.1.0
%define runner_version 0.11.1
%define servicemanager_version 1.0.3
%define swissbox_version 0.2.1
%define url_version 0.3.3
%define web_version 0.5.0
%define web_extender_version 0.4.0
%define wicket_version 0.5.4

Summary:        PAX - The OSGi station at OPS4J
Name:           ops4j-pax
Version:        1.5
Release:        1%{dist}
Epoch:          0
Group:          Development/Java
License:        Apache 2.0 License
URL:            http://www.ops4j.org/
Source0:        %{name}-%{version}.tar.gz
# svn export https://scm.ops4j.org/repos/ops4j/projects/pax/ ops4j-pax-1.5

Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Source3:        org.ops4j.pax-project-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/project/pom.xml
Source4:        org.ops4j.pax-master-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/master/pom.xml
Source5:        org.ops4j-pax-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/pom.xml
Source6:        org-ops4j-1.1.pom
# https://scm.ops4j.org/repos/ops4j/qa/ops4j-1.1/pom.xml


Patch0:         ops4j-pax-maven-bundle-plugin-DependencyEmbedder.patch
Patch1:         ops4j-pax-noretro.patch
Patch2:         ops4j-pax-construct-maven-inherit-plugin-InheritMojo.patch
Patch3:         ops4j-pax-construct-maven-pax-plugin-EclipseOSGiMojo.patch
Patch4:         ops4j-pax-url-war-osgi_bnd.patch
Patch5:         ops4j-pax-url-wrap-osgi_bnd.patch
Patch6:         ops4j-pax-runner-Run.patch
Patch7:         ops4j-pax-pom.patch
Patch8:         ops4j-pax-logging-api-pom.patch
Patch9:         ops4j-pax-logging-service-pom.patch
Patch10:        ops4j-pax-logging-example-pom.patch
Patch11:        ops4j-pax-radman-wrapper-javax-transaction-jta-pom.patch
Patch12:        ops4j-pax-radman-wrapper-javax-management-mx4j-pom.patch
#Patch13:        ops4j-pax-radman-wrapper-javax-servlet-servlet-api-pom.patch
# TODO Fix build of xstream wrapper disabled here
Patch14:        ops4j-pax-radman-wrapper-pom.patch
#Patch14:        ops4j-pax-radman-wrapper-com-thoughtworks-xstream-xstream-pom.patch
#Patch15:        ops4j-pax-radman-wrapper-com-thoughtworks-xstream-xstream-details_bnd.patch
Patch15:        ops4j-pax-construct-maven-pax-plugin-pom.patch
Patch16:        ops4j-pax-radman-wrapper-xalan-details_bnd.patch
Patch17:        ops4j-pax-radman-wrapper-xercesImpl-details_bnd.patch
Patch18:        ops4j-pax-radman-services-scheduler-api-pom.patch
Patch19:        ops4j-pax-radman-server-gateway-poms-compiled-pom.patch
Patch20:        ops4j-pax-radman-server-gateway-api-pom.patch
Patch21:        ops4j-pax-radman-services-databases-jpa-poms-compiled-pom.patch
Patch22:        ops4j-pax-radman-services-databases-jpa-openjpa-pom.patch
Patch23:        ops4j-pax-radman-gateway-core-pom.patch
Patch24:        ops4j-pax-radman-server-gateway-core-details_bnd.patch
Patch25:        ops4j-pax-radman-server-gateway-jpa-pom.patch
Patch26:        ops4j-pax-radman-services-event-poms-compiled-pom.patch
Patch27:        ops4j-pax-MINAServer.patch
Patch28:        ops4j-pax-radman-server-jmx-pom.patch
Patch29:        ops4j-pax-radman-server-jmx-core-details_bnd.patch
Patch30:        ops4j-pax-radman-server-jmx-core-pom.patch
Patch31:        ops4j-pax-radman-server-gateway-jmx-pom.patch
Patch32:        ops4j-pax-radman-services-common-core-OSGiResourceImplTestCase.patch
Patch33:        ops4j-pax-radman-services-bundleManager-api-OSGiServiceReferenceTestCase.patch
Patch34:        ops4j-pax-radman-services-bundleManager-api-pom.patch
Patch35:        ops4j-pax-radman-server-gateway-testerBundle-pom.patch
Patch36:        ops4j-pax-radman-server-gateway-serverSimulator-pom.patch
Patch37:        ops4j-pax-radman-server-gateway-demo-scancoin-pom.patch
Patch38:        ops4j-pax-radman-server-gateway-demo-gateway-pom.patch
Patch39:        ops4j-pax-radman-server-gateway-demo-host-pom.patch
Patch40:        ops4j-pax-radman-server-jmx-gateway-pom.patch
Patch41:        ops4j-pax-radman-services-bundleManager-service-pom.patch
Patch42:        ops4j-pax-radman-services-bundleManager-pom.patch
Patch43:        ops4j-pax-radman-scheduler-service-RadmanJob.patch
Patch44:        ops4j-pax-radman-services-scheduler-details_bnd.patch
Patch45:        ops4j-pax-radman-services-scheduler-service-pom.patch
Patch46:        ops4j-pax-radman-services-databases-pom.patch
Patch47:        ops4j-pax-radman-services-databases-derby-poms-compiled-pom.patch
Patch48:        ops4j-pax-radman-services-databases-derby-details_bnd.patch
Patch49:        ops4j-pax-radman-services-databases-derby-pax-derby-pom.patch
Patch50:        ops4j-pax-radman-services-databases-wrapper-commons-dbcp-pom.patch
Patch51:        ops4j-pax-radman-services-event-pax-event-service-pom.patch
Patch52:        ops4j-pax-web-jsp-pom.patch
Patch53:        ops4j-pax-web-jsp-osgi_bnd.patch
Patch54:        ops4j-pax-web-bundle-pom.patch
Patch55:        ops4j-pax-web-bundle-osgi_bnd.patch
Patch56:        ops4j-pax-web-service-osgi_bnd.patch
Patch57:        ops4j-pax-wicket-pax-plugin.patch
Patch58:        ops4j-pax-wicket-BaseAggregatorTestCase.patch
Patch59:        ops4j-pax-wicket-integrationTest-bootstrap-pom.patch
Patch60:        ops4j-pax-wicket-integrationTest-pom.patch
Patch61:        ops4j-pax-logging-PaxLoggingEventImpl.patch
Patch62:        ops4j-pax-logging-PaxLoggingEvent.patch
Patch63:        ops4j-pax-construct-maven-pax-plugin-ExcludeSystemBundlesFilter.patch
Patch64:        ops4j-pax-wicket-samples-department-store-pom.patch
Patch65:        ops4j-pax-wicket-samples-department-store-demo-pom.patch


#Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
#Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel = 0:1.5.0
BuildRequires:  ant >= 0:1.7.0
BuildRequires:  derby
BuildRequires:  easymock-java5
BuildRequires:  easymock2
BuildRequires:  jmock2
BuildRequires:  junit
BuildRequires:  junit4
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-release
BuildRequires:  maven-surefire-plugin
BuildRequires:  felix-maven2
BuildRequires:  mojo-maven2-archetypeng
BuildRequires:  mojo-maven2-plugin-openjpa
BuildRequires:  mojo-maven2-plugin-rmic

BuildRequires:  aopalliance
BuildRequires:  aqute-bndlib
BuildRequires:  asm2
BuildRequires:  cglib
BuildRequires:  excalibur-avalon-framework-api
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  felix
BuildRequires:  geronimo-j2ee-connector-1.5-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  geronimo-servlet-2.4-api
BuildRequires:  hsqldb
BuildRequires:  jakarta-commons-configuration
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-modeler
BuildRequires:  jakarta-commons-pool
BuildRequires:  jaxen
BuildRequires:  jcip-annotations
BuildRequires:  jdom
BuildRequires:  jetty5
BuildRequires:  jetty6-core
BuildRequires:  jmock
BuildRequires:  jms_1_1_api
BuildRequires:  jsch
BuildRequires:  jzlib
BuildRequires:  log4j
BuildRequires:  maven-archetype
BuildRequires:  maven-embedder
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-shared-dependency-tree
BuildRequires:  maven-shared-file-management
BuildRequires:  maven-shared-osgi
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  maven-shared-plugin-testing-tools
BuildRequires:  maven-shared-test-tools
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  mina11
BuildRequires:  mx4j
BuildRequires:  openjpa
BuildRequires:  ops4j-base
BuildRequires:  plexus-archiver
BuildRequires:  plexus-compiler
BuildRequires:  plexus-container-default
BuildRequires:  plexus-interactivity
BuildRequires:  plexus-utils
BuildRequires:  postgresql-jdbc
BuildRequires:  qdox < 0:1.6.2
BuildRequires:  quartz16
BuildRequires:  serp
BuildRequires:  spring-osgi
BuildRequires:  spring2-test
BuildRequires:  sun-jaxb-2.1-api
BuildRequires:  texen
BuildRequires:  tomcat6
BuildRequires:  tomcat6-lib
BuildRequires:  wicket
BuildRequires:  xalan-j2
BuildRequires:  xpp3
BuildRequires:  xpp3-minimal
BuildRequires:  xstream

Requires:       java >= 0:1.5.0

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Pax is the umbrella project for all OSGi bundles and tools.
OSGi is a runtime platform that allows for a much higher 
degree of dynamicity than any other container architecture 
and is well suited for both client and server applications. 
Eclipse is the most visible OSGi eco-system on the market, 
housing many UI driven OSGi projects including a runtime 
framework. Knopflerfish.org as well as Apache Felix are 
other runtime platforms, with their respective standard 
services.

PAX intend to be complimentary to all these efforts and 
main focus are on good practices and technology integration.

%package coin
Group:          Development/Libraries
Summary:        Coin module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       felix
Requires:       jakarta-commons-configuration
Requires:       ops4j-base

%description coin
%{summary}.

%package confman
Group:          Development/Libraries
Summary:        Confman module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       felix
Requires:       ops4j-base

%description confman
%{summary}.

%package construct
Group:          Development/Libraries
Summary:        Construct module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       aqute-bndlib
Requires:       maven2
Requires:       maven2-plugin-compiler
Requires:       maven2-plugin-eclipse
Requires:       maven-archetype
Requires:       maven-shared-osgi
Requires:       maven-shared-file-management
Requires:       plexus-archiver
Requires:       plexus-compiler
Requires:       plexus-container-default
Requires:       plexus-interactivity
Requires:       plexus-utils
Requires:       qdox

%description construct
%{summary}.

%package drone
Group:          Development/Libraries
Summary:        Drone module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-runner
Requires:       aqute-bndlib
Requires:       felix
Requires:       junit
Requires:       ops4j-base

%description drone
%{summary}.

%package logging
Group:          Development/Libraries
Summary:        Logging module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       excalibur-avalon-framework-api
Requires:       felix
Requires:       jetty5
Requires:       junit
Requires:       log4j

%description logging
%{summary}.

%package maven
Group:          Development/Libraries
Summary:        Maven (2) module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       aqute-bndlib
Requires:       junit
Requires:       maven2
Requires:       maven-shared-dependency-tree
Requires:       maven-shared-osgi

%description maven
%{summary}.

%package radman
Group:          Development/Libraries
Summary:        Radman module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-logging
Requires:       bcel
Requires:       derby
Requires:       felix
Requires:       geronimo-j2ee-connector-1.5-api
Requires:       geronimo-jpa-3.0-api
Requires:       geronimo-jta-1.0.1B-api
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-lang
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-modeler
Requires:       jakarta-commons-pool
Requires:       jcip-annotations
Requires:       jmock
#Requires:       jfreechart
#Requires:       jsch
#Requires:       jzlib
Requires:       mina11
Requires:       mx4j
Requires:       log4j
Requires:       openjpa
Requires:       ops4j-base
Requires:       postgresql-jdbc
Requires:       quartz
Requires:       serp
Requires:       servlet_2_3_api
Requires:       xalan-j2
Requires:       xerces-j2
Requires:       xml-commons-jaxp-1.3-apis
Requires:       xstream

%description radman
%{summary}.

%package reflector
Group:          Development/Libraries
Summary:        Reflector module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       felix
Requires:       junit
Requires:       servlet_2_3_api

%description reflector
%{summary}.

%package remoting
Group:          Development/Libraries
Summary:        Remoting module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-runner
Requires:       felix

%description remoting
%{summary}.

%package runner
Group:          Development/Libraries
Summary:        Runner module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       %{name}-url
Requires:       felix
Requires:       ops4j-base

%description runner
%{summary}.

%package servicemanager
Group:          Development/Libraries
Summary:        Service Manager module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       felix

%description servicemanager
%{summary}.

%package swissbox
Group:          Development/Libraries
Summary:        Swissbox module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       felix
Requires:       ops4j-base

%description swissbox
%{summary}.

%package url
Group:          Development/Libraries
Summary:        Url module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       aqute-bndlib
Requires:       felix
Requires:       ops4j-base

%description url
%{summary}.

%package web
Group:          Development/Libraries
Summary:        Web module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       felix
Requires:       jetty6-core
Requires:       ops4j-base
Requires:       servlet_2_5_api
Requires:       tomcat6
Requires:       tomcat6-lib

%description web
%{summary}.

%package web-extender
Group:          Development/Libraries
Summary:        Web Extender module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-swissbox
Requires:       %{name}-web
Requires:       felix
Requires:       ops4j-base
Requires:       servlet_2_5_api

%description web-extender
%{summary}.

%package wicket
Group:          Development/Libraries
Summary:        Wicket module from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-logging
Requires:       %{name}-web
Requires:       aopalliance
Requires:       felix
Requires:       jaf_1_1_api
Requires:       ops4j-base
Requires:       portlet_1_0_api
Requires:       servlet_2_4_api
Requires:       spring-osgi
Requires:       wicket

%description wicket
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
#Requires(post):   /bin/rm,/bin/ln
#Requires(postun): /bin/rm

%description javadoc
%{summary}.

#%package manual
#Group:          Development/Documentation
#Summary:        Documents for %{name}
#
#%description manual
#%{summary}.

%prep
%setup -q -n %{name}-%{version}

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
#%patch13 -b .sav13
%patch14 -b .sav14
#%patch14 -b .sav14
#%patch15 -b .sav15
%patch15 -b .sav15
%patch16 -b .sav16
%patch17 -b .sav17
%patch18 -b .sav18
%patch19 -b .sav19
%patch20 -b .sav20
%patch21 -b .sav21
%patch22 -b .sav22
%patch23 -b .sav23
%patch24 -b .sav24
%patch25 -b .sav25
%patch26 -b .sav26
%patch27 -b .sav27
%patch28 -b .sav28
%patch29 -b .sav29
%patch30 -b .sav30
%patch31 -b .sav31
%patch32 -b .sav32
%patch33 -b .sav33
%patch34 -b .sav34
%patch35 -b .sav35
%patch36 -b .sav36
%patch37 -b .sav37
%patch38 -b .sav38
%patch39 -b .sav39
%patch40 -b .sav40
%patch41 -b .sav41
%patch42 -b .sav42
%patch43 -b .sav43
%patch44 -b .sav44
%patch45 -b .sav45
%patch46 -b .sav46
%patch47 -b .sav47
%patch48 -b .sav48
%patch49 -b .sav49
%patch50 -b .sav50
%patch51 -b .sav51
%patch52 -b .sav52
%patch53 -b .sav53
%patch54 -b .sav54
%patch55 -b .sav55
%patch56 -b .sav56
%patch57 -b .sav57
%patch58 -b .sav58
%patch59 -b .sav59
%patch60 -b .sav60
%patch61 -b .sav61
%patch62 -b .sav62
%patch63 -b .sav63
%patch64 -b .sav64
%patch65 -b .sav65

for p in $(find . -name pom.xml -exec grep -l RELEASE {} \;); do
    sed -i -e 's/RELEASE/0.9.16/' $p
done

mkdir -p radman/wrapper/javax.transaction.jta/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/javax.transaction.jta/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/details.bnd radman/wrapper/javax.transaction.jta/target/classes/META-INF/

mkdir -p radman/wrapper/javax.management.mx4j/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/javax.management.mx4j/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/details.bnd radman/wrapper/javax.management.mx4j/target/classes/META-INF/

mkdir -p radman/wrapper/javax.servlet.servlet-api/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/javax.servlet.servlet-api/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/details.bnd radman/wrapper/javax.servlet.servlet-api/target/classes/META-INF/

mkdir -p radman/wrapper/com.thoughtworks.xstream.xstream/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/com.thoughtworks.xstream.xstream/target/classes/META-INF/
#cp radman/wrapper/com.thoughtworks.xstream.xstream/src/main/resources/META-INF/details.bnd.sav15 radman/wrapper/com.thoughtworks.xstream.xstream/target/classes/META-INF/

mkdir -p radman/wrapper/xalan/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/xalan/target/classes/META-INF/
cp radman/wrapper/xalan/src/main/resources/META-INF/details.bnd radman/wrapper/xalan/target/classes/META-INF/

mkdir -p radman/wrapper/xercesImpl/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/xercesImpl/target/classes/META-INF/

mkdir -p radman/wrapper/xml-apis/target/classes/META-INF/
cp radman/services/databases/bnd/META-INF/wrapper.bnd radman/wrapper/xml-apis/target/classes/META-INF/
touch radman/wrapper/xml-apis/target/classes/META-INF/details.bnd

%build
cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
#sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export JAVA_HOME=%{_jvmdir}/java-1.5.0
export MAVEN_OPTS="-Xmx512m"

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax-project.pom
cp %{SOURCE4} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax-master.pom
cp %{SOURCE5} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j-pax.pom
cp %{SOURCE6} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org-ops4j.pom
cp construct/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax-construct.pom
cp construct/maven-pax-plugin/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.construct-maven-pax-plugin.pom
cp radman/poms/wrappers/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.wrapper.build-wrap-jar-as-bundle.pom
cp radman/services/common/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.build-compile-bundle.pom
cp radman/services/common/poms/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.services.common.build-bundles.pom
cp radman/server/gateway/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.server.gateway.build-compile-bundle.pom
cp radman/server/jmx/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.server.jmx.build-compile-bundle.pom
cp radman/services/bundleManager/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.services.bundleManager.build-compile-bundle.pom
cp radman/services/common/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.services.common.build-compile-bundle.pom
cp radman/services/scheduler/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.services.scheduler.build-compile-bundle.pom
cp radman/services/databases/derby/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.services.database.derby.build-compile-bundle.pom
cp radman/services/databases/jpa/poms/compiled/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.services.databases.jpa.build-compile-bundle.pom
cp radman/services/databases/wrapper/poms/wrappers/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.database.wrapper.build-wrap-jar-as-bundle.pom
cp maven/bundle/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.maven-maven-bundle-plugin.pom

#mkdir -p $MAVEN_REPO_LOCAL/org.eclipse/
#ln -sf %{_datadir}/eclipse/plugins/org.eclipse.osgi_*.jar \
#       $MAVEN_REPO_LOCAL/org.eclipse/osgi.jar

#mkdir -p $MAVEN_REPO_LOCAL/org.eclipse.osgi/
#ln -sf %{_datadir}/eclipse/plugins/org.eclipse.osgi.services_*.jar \
#       $MAVEN_REPO_LOCAL/org.eclipse.osgi/services.jar
#ln -sf %{_datadir}/eclipse/plugins/org.eclipse.osgi.util_*.jar \
#       $MAVEN_REPO_LOCAL/org.eclipse.osgi/util.jar

#mkdir -p $MAVEN_REPO_LOCAL/org.eclipse.equinox.servlet/
#ln -sf %{_datadir}/eclipse/plugins/org.eclipse.equinox.http.servlet_*.jar \
#       $MAVEN_REPO_LOCAL/org.eclipse.equinox.servlet/api.jar

pushd maven
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.maven/
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/maven/maven-bundle-plugin/0.9.16-SNAPSHOT/maven-bundle-plugin-0.9.16-SNAPSHOT.jar \
     $MAVEN_REPO_LOCAL/org.ops4j.pax.maven/maven-bundle-plugin.jar

pushd swissbox
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/swissbox/pax-swissbox-optional-jcl/0.2.1-SNAPSHOT/pax-swissbox-optional-jcl-0.2.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/pax-swissbox-optional-jcl.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/swissbox/pax-swissbox-property/0.2.1-SNAPSHOT/pax-swissbox-property-0.2.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/pax-swissbox-property.jar
cp swissbox/pax-swissbox-property/pom.xml \
   $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.swissbox-pax-swissbox-property.pom
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/swissbox/pax-swissbox-tracker/0.2.1-SNAPSHOT/pax-swissbox-tracker-0.2.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/pax-swissbox-tracker.jar
cp swissbox/pax-swissbox-tracker/pom.xml \
   $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.swissbox-pax-swissbox-tracker.pom

pushd construct/maven-inherit-plugin/
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp construct/maven-inherit-plugin/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j-maven-inherit-plugin.pom
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j/
cp $MAVEN_REPO_LOCAL/org/ops4j/maven-inherit-plugin/1.2-SNAPSHOT/maven-inherit-plugin-1.2-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j/maven-inherit-plugin.jar

pushd construct/maven-pax-plugin/
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd
cp construct/maven-pax-plugin/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j-maven-pax-plugin.pom
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.construct/
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/construct/maven-pax-plugin/1.4-SNAPSHOT/maven-pax-plugin-1.4-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.construct/maven-pax-plugin.jar

cp radman/poms/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.ops4j.pax.radman.build-bundles.pom
pushd radman/wrapper/com.thoughtworks.xstream.xstream
mkdir -p target/classes/META-INF
cp src/main/resources/META-INF/details.bnd target/classes/META-INF
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        bundle:bundle 
popd

pushd url
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.url
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-bnd/0.3.3-SNAPSHOT/pax-url-bnd-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-bnd.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-classpath/0.3.3-SNAPSHOT/pax-url-classpath-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-classpath.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-commons/0.3.3-SNAPSHOT/pax-url-commons-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-commons.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-mvn/0.3.3-SNAPSHOT/pax-url-mvn-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-mvn.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-obr/0.3.3-SNAPSHOT/pax-url-obr-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-obr.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-war/0.3.3-SNAPSHOT/pax-url-war-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-war.jar
cp $MAVEN_REPO_LOCAL/org/ops4j/pax/url/pax-url-wrap/0.3.3-SNAPSHOT/pax-url-wrap-0.3.3-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.url/pax-url-wrap.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.runner
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/runner/pax-runner/0.11.1-SNAPSHOT/pax-runner-0.11.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.runner/pax-runner.jar

pushd runner
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.bundles
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/bundles/radman-api/0.1.1-SNAPSHOT/radman-api-0.1.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.bundles/radman-api.jar
mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.services.scheduler.bundles
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/services/scheduler/bundles/radman-scheduler-api/0.1.2-SNAPSHOT/radman-scheduler-api-0.1.2-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.services.scheduler.bundles/radman-scheduler-api.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/server/gateway/bundles/radman-gateway-api/0.1.1-SNAPSHOT/radman-gateway-api-0.1.1-SNAPSHOT.jar \
   $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles/radman-gateway-api.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/server/gateway/bundles/radman-gateway-core/0.1.1-SNAPSHOT/radman-gateway-core-0.1.1-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles/radman-gateway-core.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.logging/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/logging/pax-logging-api/1.2-SNAPSHOT/pax-logging-api-1.2-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.logging/api.jar
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/logging/pax-logging-api/1.2-SNAPSHOT/pax-logging-api-1.2-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.logging/pax-logging-api.jar
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/logging/pax-logging-service/1.2-SNAPSHOT/pax-logging-service-1.2-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.logging/pax-logging-service.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.jmx/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/server/jmx/radman-server-jmx-api/0.1.1-SNAPSHOT/radman-server-jmx-api-0.1.1-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.jmx/radman-server-jmx-api.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.services.common.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/services/common/bundles/radman-service-common-core/0.1.1-SNAPSHOT/radman-service-common-core-0.1.1-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.services.common.bundles/radman-service-common-core.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/server/gateway/bundles/radman-gateway-jmx/0.1.1-SNAPSHOT/radman-gateway-jmx-0.1.1-SNAPSHOT.jar \
       $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.server.gateway.bundles/radman-gateway-jmx.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/wrapper/bundles/xalan/0.1.1-SNAPSHOT/xalan-0.1.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/xalan.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/wrapper/bundles/xml-apis/0.1.1-SNAPSHOT/xml-apis-0.1.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/xml-apis.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.build.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/wrapper/bundles/javax.transaction.jta/0.1.1-SNAPSHOT/javax.transaction.jta-0.1.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.build.bundles/javax.transaction.jta.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/wrapper/bundles/javax.servlet.servlet-api/0.1.1-SNAPSHOT/javax.servlet.servlet-api-0.1.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/javax.servlet.servlet-api.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/radman/wrapper/bundles/xercesImpl/0.1.1-SNAPSHOT/xercesImpl-0.1.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.radman.wrapper.bundles/xercesImpl.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.database.wrapper.bundles/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/database/wrapper/bundles/commons-pool/1.3-002-SNAPSHOT/commons-pool-1.3-002-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.database.wrapper.bundles/commons-pool.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/swissbox/pax-swissbox-core/0.2.1-SNAPSHOT/pax-swissbox-core-0.2.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/pax-swissbox-core.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/swissbox/pax-swissbox-extender/0.2.1-SNAPSHOT/pax-swissbox-extender-0.2.1-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.swissbox/pax-swissbox-extender.jar

mkdir -p $MAVEN_REPO_LOCAL/org.ops4j.pax.web/
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/web/pax-web-bundle/0.5.0-SNAPSHOT/pax-web-bundle-0.5.0-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.web/pax-web-bundle.jar
ln -sf $MAVEN_REPO_LOCAL/org/ops4j/pax/web/pax-web-service/0.5.0-SNAPSHOT/pax-web-service-0.5.0-SNAPSHOT.jar \
$MAVEN_REPO_LOCAL/org.ops4j.pax.web/pax-web-service.jar

mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp wicket/pom.xml $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.apache.wicket-wicket.pom


mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 

#        -Dmaven.test.failure.ignore=true \

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Pfelix \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Daggregate=true \
        javadoc:javadoc 


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rootbuild.pom
%add_to_maven_depmap org.ops4j.pax rootbuild %{version} JPP/%{name} rootbuild

install -m 644 coin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin.pom
%add_to_maven_depmap org.ops4j.pax coin %{coin_version} JPP/%{name} coin
install -m 644 coin/adapter/target/pax-coin-adapter-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-adapter-%{coin_version}.jar
install -m 644 coin/adapter/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-adapter.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-adapter %{coin_version} JPP/%{name} coin-adapter
#BUILD/ops4j-pax-1.5/coin/adapter/target/pax-coin-adapter-0.1.0-SNAPSHOT.jar
install -m 644 coin/provider-bundle-content/target/pax-coin-provider-bundle-content-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-provider-bundle-content-%{coin_version}.jar
install -m 644 coin/provider-bundle-content/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-provider-bundle-content.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-provider-bundle-content %{coin_version} JPP/%{name} coin-provider-bundle-content
#BUILD/ops4j-pax-1.5/coin/provider-bundle-content/target/pax-coin-provider-bundle-content-0.1.0-SNAPSHOT.jar
install -m 644 coin/provider-file-system/target/pax-coin-provider-file-system-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-provider-file-system-%{coin_version}.jar
install -m 644 coin/provider-file-system/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-provider-file-system.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-provider-file-system %{coin_version} JPP/%{name} coin-provider-file-system
#BUILD/ops4j-pax-1.5/coin/provider-file-system/target/pax-coin-provider-file-system-0.1.0-SNAPSHOT.jar
install -m 644 coin/provider-service-registry/target/pax-coin-provider-service-registry-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-provider-service-registry-%{coin_version}.jar
install -m 644 coin/provider-service-registry/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-provider-service-registry.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-provider-service-registry %{coin_version} JPP/%{name} coin-provider-service-registry
#BUILD/ops4j-pax-1.5/coin/provider-service-registry/target/pax-coin-provider-service-registry-0.1.0-SNAPSHOT.jar
install -m 644 coin/provider-scanner/target/pax-coin-provider-scanner-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-provider-scanner-%{coin_version}.jar
install -m 644 coin/provider-scanner/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-provider-scanner.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-provider-scanner %{coin_version} JPP/%{name} coin-provider-scanner
#BUILD/ops4j-pax-1.5/coin/provider-scanner/target/pax-coin-provider-scanner-0.1.0-SNAPSHOT.jar
install -m 644 coin/repository/target/pax-coin-repository-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-repository-%{coin_version}.jar
install -m 644 coin/repository/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-repository.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-repository %{coin_version} JPP/%{name} coin-repository
#BUILD/ops4j-pax-1.5/coin/repository/target/pax-coin-repository-0.1.0-SNAPSHOT.jar
install -m 644 coin/samples/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-samples.pom
%add_to_maven_depmap org.ops4j.pax.coin samples %{coin_version} JPP/%{name} coin-samples
install -m 644 coin/samples/samples-plugins/target/samples-plugins-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples-plugins-%{coin_version}.jar
install -m 644 coin/samples/samples-plugins/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-samples-plugins.pom
%add_to_maven_depmap org.ops4j.pax.coin.samples samples-plugins %{coin_version} JPP/%{name} samples-plugins
#BUILD/ops4j-pax-1.5/coin/samples/samples-plugins/target/samples-plugins-0.1.0-SNAPSHOT.jar
install -m 644 coin/samples/samples-rs-bc-custom-location/target/samples-rs-bc-custom-location-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples-rs-bc-custom-location-%{coin_version}.jar
install -m 644 coin/samples/samples-rs-bc-custom-location/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-samples-rs-bc-custom-location.pom
%add_to_maven_depmap org.ops4j.pax.coin.samples samples-rs-bc-custom-location %{coin_version} JPP/%{name} samples-rs-bc-custom-location
#BUILD/ops4j-pax-1.5/coin/samples/samples-rs-bc-custom-location/target/samples-rs-bc-custom-location-0.1.0-SNAPSHOT.jar
install -m 644 coin/samples/samples-rs-bc-default-location/target/samples-rs-bc-default-location-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/samples-rs-bc-default-location-%{coin_version}.jar
install -m 644 coin/samples/samples-rs-bc-default-location/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-samples-rs-bc-default-location.pom
%add_to_maven_depmap org.ops4j.pax.coin.samples samples-rs-bc-default-location %{coin_version} JPP/%{name} samples-rs-bc-default-location
#BUILD/ops4j-pax-1.5/coin/samples/samples-rs-bc-default-location/target/samples-rs-bc-default-location-0.1.0-SNAPSHOT.jar
install -m 644 coin/service/target/pax-coin-service-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-service-%{coin_version}.jar
install -m 644 coin/service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-service.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-service %{coin_version} JPP/%{name} coin-service
#BUILD/ops4j-pax-1.5/coin/service/target/pax-coin-service-0.1.0-SNAPSHOT.jar
install -m 644 coin/spi/target/pax-coin-spi-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-spi-%{coin_version}.jar
install -m 644 coin/spi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-spi.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-spi %{coin_version} JPP/%{name} coin-spi
#BUILD/ops4j-pax-1.5/coin/spi/target/pax-coin-spi-0.1.0-SNAPSHOT.jar
install -m 644 coin/wrapped-commons-configuration/target/pax-coin-wrapped-commons-configuration-%{coin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/coin-wrapped-commons-configuration-%{coin_version}.jar
install -m 644 coin/wrapped-commons-configuration/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-coin-wrapped-commons-configuration.pom
%add_to_maven_depmap org.ops4j.pax.coin pax-coin-wrapped-commons-configuration %{coin_version} JPP/%{name} coin-wrapped-commons-configuration
#BUILD/ops4j-pax-1.5/coin/wrapped-commons-configuration/target/pax-coin-wrapped-commons-configuration-0.1.0-SNAPSHOT.jar

###########



install -m 644 drone/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone.pom
%add_to_maven_depmap org.ops4j.pax pax-drone %{drone_version} JPP/%{name} drone
install -m 644 drone/connector/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-connector.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-connector %{drone_version} JPP/%{name} drone-connector
install -m 644 drone/connector/echo/target/pax-drone-connector-echo-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-connector-echo-%{drone_version}.jar
install -m 644 drone/connector/echo/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-connector-echo.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-connector-echo %{drone_version} JPP/%{name} drone-connector-echo
#BUILD/ops4j-pax-1.5/drone/connector/echo/target/pax-drone-connector-echo-0.1.0-SNAPSHOT.jar
install -m 644 drone/connector/felix/target/pax-drone-connector-felix-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-connector-felix-%{drone_version}.jar
install -m 644 drone/connector/felix/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-connector-felix.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-connector-felix %{drone_version} JPP/%{name} drone-connector-felix
#BUILD/ops4j-pax-1.5/drone/connector/felix/target/pax-drone-connector-felix-0.1.0-SNAPSHOT.jar
install -m 644 drone/connector/paxrunner/target/pax-drone-connector-paxrunner-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-connector-paxrunner-%{drone_version}.jar
install -m 644 drone/connector/paxrunner/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-connector-paxrunner.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-connector-paxrunner %{drone_version} JPP/%{name} drone-connector-paxrunner
#BUILD/ops4j-pax-1.5/drone/connector/paxrunner/target/pax-drone-connector-paxrunner-0.1.0-SNAPSHOT.jar
install -m 644 drone/service/target/pax-drone-service-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-service-%{drone_version}.jar
install -m 644 drone/service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-service.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-service %{drone_version} JPP/%{name} drone-service
#BUILD/ops4j-pax-1.5/drone/service/target/pax-drone-service-0.1.0-SNAPSHOT.jar
install -m 644 drone/spi-junit/target/pax-drone-spi-junit-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-spi-junit-%{drone_version}.jar
install -m 644 drone/spi-junit/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-spi-junit.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-spi-junit %{drone_version} JPP/%{name} drone-spi-junit
#BUILD/ops4j-pax-1.5/drone/spi-junit/target/pax-drone-spi-junit-0.1.0-SNAPSHOT.jar
install -m 644 drone/spi/target/pax-drone-spi-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-spi-%{drone_version}.jar
install -m 644 drone/spi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-spi.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-spi %{drone_version} JPP/%{name} drone-spi
#BUILD/ops4j-pax-1.5/drone/spi/target/pax-drone-spi-0.1.0-SNAPSHOT.jar
install -m 644 drone/zombie/target/pax-drone-zombie-%{drone_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/drone-zombie-%{drone_version}.jar
install -m 644 drone/zombie/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drone-zombie.pom
%add_to_maven_depmap org.ops4j.pax pax-drone-zombie %{drone_version} JPP/%{name} drone-zombie
#BUILD/ops4j-pax-1.5/drone/zombie/target/pax-drone-zombie-0.1.0-SNAPSHOT.jar

install -m 644 confman/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-confman.pom
%add_to_maven_depmap org.ops4j.pax confman %{confman_version} JPP/%{name} confman
install -m 644 confman/propsloader/target/pax-confman-propsloader-%{confman_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/confman-propsloader-%{confman_version}.jar
install -m 644 confman/propsloader/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-confman-propsloader.pom
%add_to_maven_depmap org.ops4j.pax.confman pax-confman-propsloader %{confman_version} JPP/%{name} confman-propsloader
#BUILD/ops4j-pax-1.5/confman/propsloader/target/pax-confman-propsloader-0.2.3-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{confman_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{confman_version}||g"`; done)

install -m 644 construct/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-construct.pom
%add_to_maven_depmap org.ops4j.pax construct %{construct_version} JPP/%{name} construct
install -m 644 construct/archetypes/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetypes.pom
%add_to_maven_depmap org.ops4j.pax.construct archetypes %{construct_version} JPP/%{name} archetypes
install -m 644 construct/archetypes/maven-archetype-osgi-bundle/target/maven-archetype-osgi-bundle-%{construct_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-osgi-bundle-%{construct_version}.jar
install -m 644 construct/archetypes/maven-archetype-osgi-bundle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-osgi-bundle.pom
%add_to_maven_depmap org.ops4j.pax.construct maven-archetype-osgi-bundle %{construct_version} JPP/%{name} maven-archetype-osgi-bundle
#BUILD/ops4j-pax-1.5/construct/archetypes/maven-archetype-osgi-bundle/target/maven-archetype-osgi-bundle-1.1-SNAPSHOT.jar
install -m 644 construct/archetypes/maven-archetype-osgi-project/target/maven-archetype-osgi-project-%{construct_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-osgi-project-%{construct_version}.jar
install -m 644 construct/archetypes/maven-archetype-osgi-project/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-osgi-project.pom
%add_to_maven_depmap org.ops4j.pax.construct maven-archetype-osgi-project %{construct_version} JPP/%{name} maven-archetype-osgi-project
#BUILD/ops4j-pax-1.5/construct/archetypes/maven-archetype-osgi-project/target/maven-archetype-osgi-project-1.1-SNAPSHOT.jar
install -m 644 construct/archetypes/maven-archetype-osgi-service/target/maven-archetype-osgi-service-%{construct_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-osgi-service-%{construct_version}.jar
install -m 644 construct/archetypes/maven-archetype-osgi-service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-osgi-service.pom
%add_to_maven_depmap org.ops4j.pax.construct maven-archetype-osgi-service %{construct_version} JPP/%{name} maven-archetype-osgi-service
#BUILD/ops4j-pax-1.5/construct/archetypes/maven-archetype-osgi-service/target/maven-archetype-osgi-service-1.1-SNAPSHOT.jar
install -m 644 construct/archetypes/maven-archetype-osgi-wrapper/target/maven-archetype-osgi-wrapper-%{construct_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-osgi-wrapper-%{construct_version}.jar
install -m 644 construct/archetypes/maven-archetype-osgi-wrapper/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-osgi-wrapper.pom
%add_to_maven_depmap org.ops4j.pax.construct maven-archetype-osgi-wrapper %{construct_version} JPP/%{name} maven-archetype-osgi-wrapper
#BUILD/ops4j-pax-1.5/construct/archetypes/maven-archetype-osgi-wrapper/target/maven-archetype-osgi-wrapper-1.1-SNAPSHOT.jar
install -m 644 construct/archetypes/maven-archetype-spring-bean/target/maven-archetype-spring-bean-%{construct_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-spring-bean-%{construct_version}.jar
install -m 644 construct/archetypes/maven-archetype-spring-bean/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-spring-bean.pom
%add_to_maven_depmap org.ops4j.pax.construct maven-archetype-spring-bean %{construct_version} JPP/%{name} maven-archetype-spring-bean
#BUILD/ops4j-pax-1.5/construct/archetypes/maven-archetype-spring-bean/target/maven-archetype-spring-bean-1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{construct_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{construct_version}||g"`; done)
install -m 644 construct/maven-inherit-plugin/target/maven-inherit-plugin-%{inherit_plugin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-inherit-plugin-%{inherit_plugin_version}.jar
install -m 644 construct/maven-inherit-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-inherit-plugin.pom
%add_to_maven_depmap org.ops4j maven-inherit-plugin %{inherit_plugin_version} JPP/%{name} maven-inherit-plugin
#BUILD/ops4j-pax-1.5/construct/maven-inherit-plugin/target/maven-inherit-plugin-1.2-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{inherit_plugin_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{inherit_plugin_version}||g"`; done)
install -m 644 construct/maven-pax-plugin/target/maven-pax-plugin-%{pax_plugin_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-pax-plugin-%{pax_plugin_version}.jar
install -m 644 construct/maven-pax-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-pax-plugin.pom
%add_to_maven_depmap org.ops4j maven-pax-plugin %{pax_plugin_version} JPP/%{name} maven-pax-plugin
#BUILD/ops4j-pax-1.5/construct/maven-pax-plugin/target/maven-pax-plugin-1.4-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{pax_plugin_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{pax_plugin_version}||g"`; done)

install -m 644 logging/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-logging.pom
%add_to_maven_depmap org.ops4j.pax.logging pax-logging %{logging_version} JPP/%{name} logging
install -m 644 logging/api/target/pax-logging-api-%{logging_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/logging-api-%{logging_version}.jar
install -m 644 logging/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-logging-api.pom
%add_to_maven_depmap org.ops4j.pax.logging pax-logging-api %{logging_version} JPP/%{name} pax-logging-api
#BUILD/ops4j-pax-1.5/logging/api/target/pax-logging-api-1.2-SNAPSHOT.jar
install -m 644 logging/example/target/example-%{logging_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/logging-example-%{logging_version}.jar
install -m 644 logging/example/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-logging-example.pom
%add_to_maven_depmap org.ops4j.pax.logging example %{logging_version} JPP/%{name} logging-example
#BUILD/ops4j-pax-1.5/logging/example/target/example-1.2-SNAPSHOT.jar
install -m 644 logging/service/target/pax-logging-service-%{logging_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/logging-service-%{logging_version}.jar
install -m 644 logging/service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-logging-service.pom
%add_to_maven_depmap org.ops4j.pax.logging pax-logging-service %{logging_version} JPP/%{name} pax-logging-service
#BUILD/ops4j-pax-1.5/logging/service/target/pax-logging-service-1.2-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{logging_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{logging_version}||g"`; done)

install -m 644 maven/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven.pom
%add_to_maven_depmap org.ops4j.pax maven %{maven_version} JPP/%{name} maven
install -m 644 maven/bundle/target/maven-bundle-plugin-%{maven_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-bundle-plugin-%{maven_version}.jar
install -m 644 maven/bundle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-bundle-plugin.pom
%add_to_maven_depmap org.ops4j.pax.maven maven-bundle-plugin %{maven_version} JPP/%{name} maven-bundle-plugin
#BUILD/ops4j-pax-1.5/maven/bundle/target/maven-bundle-plugin-0.9.16-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{maven_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{maven_version}||g"`; done)

install -m 644 radman/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman.pom
%add_to_maven_depmap org.ops4j.pax radman %{radman_version} JPP/%{name} radman
install -m 644 radman/radman-api/target/radman-api-%{radman_api_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-api-%{radman_api_version}.jar
install -m 644 radman/radman-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.bundles radman-api %{radman_api_version} JPP/%{name} radman-api
#BUILD/ops4j-pax-1.5/radman/radman-api/target/radman-api-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_api_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_api_version}||g"`; done)
install -m 644 radman/server/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-server.pom
%add_to_maven_depmap org.ops4j.pax.radman server %{radman_version} JPP/%{name} radman-server
install -m 644 radman/server/gateway/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-server-gateway.pom
%add_to_maven_depmap org.ops4j.pax.radman.server gateway %{radman_version} JPP/%{name} radman-server-gateway
install -m 644 radman/server/gateway/demo-gateway/target/demo-gateway-%{radman_gateway_demo_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/demo-gateway-%{radman_gateway_demo_version}.jar
install -m 644 radman/server/gateway/demo-gateway/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-demo-gateway.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles demo-gateway %{radman_gateway_demo_version} JPP/%{name} demo-gateway
#BUILD/ops4j-pax-1.5/radman/server/gateway/demo-gateway/target/demo-gateway-0.1.0-SNAPSHOT.jar
install -m 644 radman/server/gateway/demo-host/target/demo-host-%{radman_gateway_demo_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/demo-host-%{radman_gateway_demo_version}.jar
install -m 644 radman/server/gateway/demo-host/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-demo-host.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles demo-host %{radman_gateway_demo_version} JPP/%{name} demo-host
#BUILD/ops4j-pax-1.5/radman/server/gateway/demo-host/target/demo-host-0.1.0-SNAPSHOT.jar
install -m 644 radman/server/gateway/demo-scancoin/target/demo-scancoin-%{radman_gateway_demo_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/demo-scancoin-%{radman_gateway_demo_version}.jar
install -m 644 radman/server/gateway/demo-scancoin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-demo-scancoin.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles demo-scancoin %{radman_gateway_demo_version} JPP/%{name} demo-scancoin
#BUILD/ops4j-pax-1.5/radman/server/gateway/demo-scancoin/target/demo-scancoin-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_demo_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_demo_version}||g"`; done)
install -m 644 radman/server/gateway/radman-gateway-api/target/radman-gateway-api-%{radman_gateway_api_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-gateway-api-%{radman_gateway_api_version}.jar
install -m 644 radman/server/gateway/radman-gateway-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-gateway-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles radman-gateway-api %{radman_gateway_api_version} JPP/%{name} radman-gateway-api
#BUILD/ops4j-pax-1.5/radman/server/gateway/radman-gateway-api/target/radman-gateway-api-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_api_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_api_version}||g"`; done)
install -m 644 radman/server/gateway/radman-gateway-core/target/radman-gateway-core-%{radman_gateway_core_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-gateway-core-%{radman_gateway_core_version}.jar
install -m 644 radman/server/gateway/radman-gateway-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-gateway-core.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles radman-gateway-core %{radman_gateway_core_version} JPP/%{name} radman-gateway-core
#BUILD/ops4j-pax-1.5/radman/server/gateway/radman-gateway-core/target/radman-gateway-core-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_core_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_core_version}||g"`; done)
install -m 644 radman/server/gateway/radman-gateway-event/target/radman-gateway-event-%{radman_gateway_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-gateway-event-%{radman_gateway_event_version}.jar
install -m 644 radman/server/gateway/radman-gateway-event/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-gateway-event.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles radman-gateway-event %{radman_gateway_event_version} JPP/%{name} radman-gateway-event
#BUILD/ops4j-pax-1.5/radman/server/gateway/radman-gateway-event/target/radman-gateway-event-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_event_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_event_version}||g"`; done)
install -m 644 radman/server/gateway/radman-gateway-jmx/target/radman-gateway-jmx-%{radman_gateway_jmx_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-gateway-jmx-%{radman_gateway_jmx_version}.jar
install -m 644 radman/server/gateway/radman-gateway-jmx/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-gateway-jmx.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles radman-gateway-jmx %{radman_gateway_jmx_version} JPP/%{name} radman-gateway-jmx
#BUILD/ops4j-pax-1.5/radman/server/gateway/radman-gateway-jmx/target/radman-gateway-jmx-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_jmx_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_jmx_version}||g"`; done)
install -m 644 radman/server/gateway/radman-gateway-jpa/target/radman-gateway-jpa-%{radman_gateway_jpa_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-gateway-jpa-%{radman_gateway_jpa_version}.jar
install -m 644 radman/server/gateway/radman-gateway-jpa/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-gateway-jpa.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles radman-gateway-jpa %{radman_gateway_jpa_version} JPP/%{name} radman-gateway-jpa
#BUILD/ops4j-pax-1.5/radman/server/gateway/radman-gateway-jpa/target/radman-gateway-jpa-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_jpa_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_jpa_version}||g"`; done)
install -m 644 radman/server/gateway/serverSimulator/target/serverSimulator-%{radman_gateway_serverSimulator_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/serverSimulator-%{radman_gateway_serverSimulator_version}.jar
install -m 644 radman/server/gateway/serverSimulator/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-serverSimulator.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles serverSimulator %{radman_gateway_serverSimulator_version} JPP/%{name} serverSimulator
#BUILD/ops4j-pax-1.5/radman/server/gateway/serverSimulator/target/serverSimulator-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_serverSimulator_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_serverSimulator_version}||g"`; done)
install -m 644 radman/server/gateway/tester-authentication/target/tester-authentication-%{radman_gateway_tester_authentication_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/tester-authentication-%{radman_gateway_tester_authentication_version}.jar
install -m 644 radman/server/gateway/tester-authentication/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tester-authentication.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles tester-authentication %{radman_gateway_tester_authentication_version} JPP/%{name} tester-authentication
#BUILD/ops4j-pax-1.5/radman/server/gateway/tester-authentication/target/tester-authentication-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_tester_authentication_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_tester_authentication_version}||g"`; done)
install -m 644 radman/server/gateway/testerBundle/target/testerBundle-%{radman_gateway_testerBundle_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/testerBundle-%{radman_gateway_testerBundle_version}.jar
install -m 644 radman/server/gateway/testerBundle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testerBundle.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.gateway.bundles testerBundle %{radman_gateway_testerBundle_version} JPP/%{name} testerBundle
#BUILD/ops4j-pax-1.5/radman/server/gateway/testerBundle/target/testerBundle-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_gateway_testerBundle_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_gateway_testerBundle_version}||g"`; done)
install -m 644 radman/server/jmx/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmx.pom
%add_to_maven_depmap org.ops4j.pax.radman.server jmx %{radman_jmx_version} JPP/%{name} jmx
install -m 644 radman/server/jmx/radman-jmx-gateway/target/radman-jmx-gateway-%{radman_jmx_gateway_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-jmx-gateway-%{radman_jmx_gateway_version}.jar
install -m 644 radman/server/jmx/radman-jmx-gateway/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-jmx-gateway.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.jmx radman-jmx-gateway %{radman_jmx_gateway_version} JPP/%{name} radman-jmx-gateway
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_jmx_gateway_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_jmx_gateway_version}||g"`; done)
#BUILD/ops4j-pax-1.5/radman/server/jmx/radman-jmx-gateway/target/radman-jmx-gateway-0.1.1-SNAPSHOT.jar
install -m 644 radman/server/jmx/radman-server-jmx-api/target/radman-server-jmx-api-%{radman_server_jmx_api_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-server-jmx-api-%{radman_server_jmx_api_version}.jar
install -m 644 radman/server/jmx/radman-server-jmx-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-server-jmx-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.jmx radman-server-jmx-api %{radman_server_jmx_api_version} JPP/%{name} radman-server-jmx-api
#BUILD/ops4j-pax-1.5/radman/server/jmx/radman-server-jmx-api/target/radman-server-jmx-api-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_server_jmx_api_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_server_jmx_api_version}||g"`; done)
install -m 644 radman/server/jmx/radman-server-jmx-core/target/radman-server-jmx-core-%{radman_server_jmx_core_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-server-jmx-core-%{radman_server_jmx_core_version}.jar
install -m 644 radman/server/jmx/radman-server-jmx-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-server-jmx-core.pom
%add_to_maven_depmap org.ops4j.pax.radman.server.jmx radman-server-jmx-core %{radman_server_jmx_core_version} JPP/%{name} radman-server-jmx-core
#BUILD/ops4j-pax-1.5/radman/server/jmx/radman-server-jmx-core/target/radman-server-jmx-core-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_server_jmx_core_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_server_jmx_core_version}||g"`; done)
install -m 644 radman/services/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services.pom
%add_to_maven_depmap org.ops4j.pax.radman services %{radman_services_version} JPP/%{name} radman-services
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_version}||g"`; done)
install -m 644 radman/services/bundleManager/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-bundleManager.pom
%add_to_maven_depmap org.ops4j.pax.radman.services bundleManager %{radman_services_bundleManager_version} JPP/%{name} radman-services-bundleManager
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_bundleManager_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_bundleManager_version}||g"`; done)
install -m 644 radman/services/bundleManager/radman-bundleManager-api/target/radman-bundleManager-api-%{radman_services_bundleManager_api_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-bundleManager-api-%{radman_services_bundleManager_api_version}.jar
install -m 644 radman/services/bundleManager/radman-bundleManager-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-bundleManager-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.bundleManager.bundles radman-bundleManager-api %{radman_services_bundleManager_api_version} JPP/%{name} radman-bundleManager-api
#BUILD/ops4j-pax-1.5/radman/services/bundleManager/radman-bundleManager-api/target/radman-bundleManager-api-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_bundleManager_api_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_bundleManager_api_version}||g"`; done)
install -m 644 radman/services/bundleManager/radman-bundleManager-service/target/radman-bundleManager-service-%{radman_services_bundleManager_service_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-bundleManager-service-%{radman_services_bundleManager_service_version}.jar
install -m 644 radman/services/bundleManager/radman-bundleManager-service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-bundleManager-service.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.bundleManager.bundles radman-bundleManager-service %{radman_services_bundleManager_service_version} JPP/%{name} radman-bundleManager-service
#BUILD/ops4j-pax-1.5/radman/services/bundleManager/radman-bundleManager-service/target/radman-bundleManager-service-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_bundleManager_service_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_bundleManager_service_version}||g"`; done)
install -m 644 radman/services/common/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-common.pom
%add_to_maven_depmap org.ops4j.pax.radman.services common %{radman_services_common_version} JPP/%{name} radman-services-common
install -m 644 radman/services/common/radman-service-common-core/target/radman-service-common-core-%{radman_service_common_core_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-service-common-core-%{radman_service_common_core_version}.jar
install -m 644 radman/services/common/radman-service-common-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-service-common-core.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.common.bundles radman-service-common-core %{radman_service_common_core_version} JPP/%{name} radman-service-common-core
#BUILD/ops4j-pax-1.5/radman/services/common/radman-service-common-core/target/radman-service-common-core-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_service_common_core_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_service_common_core_version}||g"`; done)
install -m 644 radman/services/databases/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-databases.pom
%add_to_maven_depmap org.ops4j.pax.radman.services databases %{radman_services_databases_version} JPP/%{name} radman-services-databases
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_databases_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_databases_version}||g"`; done)
install -m 644 radman/services/databases/derby/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-database-derby.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.database derby %{radman_services_database_derby_version} JPP/%{name} radman-services-database-derby
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_database_derby_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_database_derby_version}||g"`; done)
install -m 644 radman/services/databases/derby/pax-derby/target/pax-derby-%{pax_derby_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-derby-%{pax_derby_version}.jar
install -m 644 radman/services/databases/derby/pax-derby/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-derby.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.database.derby.bundles pax-derby %{pax_derby_version} JPP/%{name} pax-derby
#BUILD/ops4j-pax-1.5/radman/services/databases/derby/pax-derby/target/pax-derby-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{pax_derby_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{pax_derby_version}||g"`; done)
install -m 644 radman/services/databases/jpa/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-databases-jpa.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.databases jpa %{radman_services_databases_jpa_version} JPP/%{name} radman-services-databases-jpa
install -m 644 radman/services/databases/jpa/pax-openjpa-example/target/pax-openjpa-example-%{pax_openjpa_example_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-openjpa-example-%{pax_openjpa_example_version}.jar
install -m 644 radman/services/databases/jpa/pax-openjpa-example/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-openjpa-example.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.databases.jpa.bundles pax-openjpa-example %{pax_openjpa_example_version} JPP/%{name} pax-openjpa-example
#BUILD/ops4j-pax-1.5/radman/services/databases/jpa/pax-openjpa-example/target/pax-openjpa-example-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{pax_openjpa_example_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{pax_openjpa_example_version}||g"`; done)
install -m 644 radman/services/databases/jpa/pax-openjpa/target/pax-openjpa-%{pax_openjpa_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-openjpa-%{pax_openjpa_version}.jar
install -m 644 radman/services/databases/jpa/pax-openjpa/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-openjpa.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.databases.jpa.bundles pax-openjpa %{pax_openjpa_version} JPP/%{name} pax-openjpa
#BUILD/ops4j-pax-1.5/radman/services/databases/jpa/pax-openjpa/target/pax-openjpa-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{pax_openjpa_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{pax_openjpa_version}||g"`; done)
install -m 644 radman/services/event/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-event.pom
%add_to_maven_depmap org.ops4j.pax.radman.services event %{radman_services_event_version} JPP/%{name} radman-services-event
install -m 644 radman/services/event/pax-event-api/target/pax-event-api-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-event-api-%{radman_services_event_version}.jar
install -m 644 radman/services/event/pax-event-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-event-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles pax-event-api %{radman_services_event_version} JPP/%{name} pax-event-api
#BUILD/ops4j-pax-1.5/radman/services/event/pax-event-api/target/pax-event-api-0.1.0-SNAPSHOT.jar
install -m 644 radman/services/event/pax-event-service/target/pax-event-service-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-event-service-%{radman_services_event_version}.jar
install -m 644 radman/services/event/pax-event-service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-event-service.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles pax-event-service %{radman_services_event_version} JPP/%{name} pax-event-service
#BUILD/ops4j-pax-1.5/radman/services/event/pax-event-service/target/pax-event-service-0.1.0-SNAPSHOT.jar
install -m 644 radman/services/event/radman-event-repeater-api/target/radman-event-repeater-api-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-event-repeater-api-%{radman_services_event_version}.jar
install -m 644 radman/services/event/radman-event-repeater-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-event-repeater-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles radman-event-repeater-api %{radman_services_event_version} JPP/%{name} radman-event-repeater-api
#BUILD/ops4j-pax-1.5/radman/services/event/radman-event-repeater-api/target/radman-event-repeater-api-0.1.0-SNAPSHOT.jar
install -m 644 radman/services/event/radman-event-repeater-broadcaster/target/radman-event-repeater-broadcaster-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-event-repeater-broadcaster-%{radman_services_event_version}.jar
install -m 644 radman/services/event/radman-event-repeater-broadcaster/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-event-repeater-broadcaster.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles radman-event-repeater-broadcaster %{radman_services_event_version} JPP/%{name} radman-event-repeater-broadcaster
#BUILD/ops4j-pax-1.5/radman/services/event/radman-event-repeater-broadcaster/target/radman-event-repeater-broadcaster-0.1.0-SNAPSHOT.jar
install -m 644 radman/services/event/radman-event-repeater-consumer/target/radman-event-repeater-consumer-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-event-repeater-consumer-%{radman_services_event_version}.jar
install -m 644 radman/services/event/radman-event-repeater-consumer/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-event-repeater-consumer.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles radman-event-repeater-consumer %{radman_services_event_version} JPP/%{name} radman-event-repeater-consumer
#BUILD/ops4j-pax-1.5/radman/services/event/radman-event-repeater-consumer/target/radman-event-repeater-consumer-0.1.0-SNAPSHOT.jar
install -m 644 radman/services/event/radman-event-repeater-queue/target/radman-event-repeater-queue-%{radman_services_event_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-event-repeater-queue-%{radman_services_event_version}.jar
install -m 644 radman/services/event/radman-event-repeater-queue/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-event-repeater-queue.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.event.bundles radman-event-repeater-queue %{radman_services_event_version} JPP/%{name} radman-event-repeater-queue
#BUILD/ops4j-pax-1.5/radman/services/event/radman-event-repeater-queue/target/radman-event-repeater-queue-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_event_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_event_version}||g"`; done)
install -m 644 radman/services/scheduler/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-services-scheduler.pom
%add_to_maven_depmap org.ops4j.pax.radman.services scheduler %{radman_services_scheduler_version} JPP/%{name} radman-services-scheduler
install -m 644 radman/services/scheduler/radman-scheduler-api/target/radman-scheduler-api-%{radman_services_scheduler_api_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-scheduler-api-%{radman_services_scheduler_api_version}.jar
install -m 644 radman/services/scheduler/radman-scheduler-api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-scheduler-api.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.scheduler.bundles radman-scheduler-api %{radman_services_scheduler_api_version} JPP/%{name} radman-scheduler-api
#BUILD/ops4j-pax-1.5/radman/services/scheduler/radman-scheduler-api/target/radman-scheduler-api-0.1.2-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_scheduler_api_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_scheduler_api_version}||g"`; done)
install -m 644 radman/services/scheduler/radman-scheduler-service/target/radman-scheduler-service-%{radman_services_scheduler_service_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/radman-scheduler-service-%{radman_services_scheduler_service_version}.jar
install -m 644 radman/services/scheduler/radman-scheduler-service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-radman-scheduler-service.pom
%add_to_maven_depmap org.ops4j.pax.radman.services.scheduler.bundles radman-scheduler-service %{radman_services_scheduler_service_version} JPP/%{name} radman-scheduler-service
#BUILD/ops4j-pax-1.5/radman/services/scheduler/radman-scheduler-service/target/radman-scheduler-service-0.1.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{radman_services_scheduler_service_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{radman_services_scheduler_service_version}||g"`; done)

install -m 644 reflector/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-reflector.pom
%add_to_maven_depmap org.ops4j.pax reflector %{reflector_version} JPP/%{name} reflector
install -m 644 reflector/api/target/pax-reflector-api-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-api-%{reflector_version}.jar
install -m 644 reflector/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-api.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-api %{reflector_version} JPP/%{name} pax-reflector-api
#BUILD/ops4j-pax-1.5/reflector/api/target/pax-reflector-api-0.9.11-SNAPSHOT.jar
install -m 644 reflector/html/target/pax-reflector-html-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-html-%{reflector_version}.jar
install -m 644 reflector/html/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-html.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-html %{reflector_version} JPP/%{name} pax-reflector-html
#BUILD/ops4j-pax-1.5/reflector/html/target/pax-reflector-html-0.9.11-SNAPSHOT.jar
install -m 644 reflector/impl/target/pax-reflector-impl-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-impl-%{reflector_version}.jar
install -m 644 reflector/impl/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-impl.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-impl %{reflector_version} JPP/%{name} pax-reflector-impl
#BUILD/ops4j-pax-1.5/reflector/impl/target/pax-reflector-impl-0.9.11-SNAPSHOT.jar
install -m 644 reflector/osgi/target/pax-reflector-service-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-service-%{reflector_version}.jar
install -m 644 reflector/osgi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-service.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-service %{reflector_version} JPP/%{name} pax-reflector-service
#BUILD/ops4j-pax-1.5/reflector/osgi/target/pax-reflector-service-0.9.11-SNAPSHOT.jar
install -m 644 reflector/servlet/target/pax-reflector-servlet-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-servlet-%{reflector_version}.jar
install -m 644 reflector/servlet/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-servlet.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-servlet %{reflector_version} JPP/%{name} pax-reflector-servlet
#BUILD/ops4j-pax-1.5/reflector/servlet/target/pax-reflector-servlet-0.9.11-SNAPSHOT.jar
install -m 644 reflector/spi/target/pax-reflector-spi-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-spi-%{reflector_version}.jar
install -m 644 reflector/spi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-spi.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-spi %{reflector_version} JPP/%{name} pax-reflector-spi
#BUILD/ops4j-pax-1.5/reflector/spi/target/pax-reflector-spi-0.9.11-SNAPSHOT.jar
install -m 644 reflector/typehandlers/target/pax-reflector-types-%{reflector_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-reflector-types-%{reflector_version}.jar
install -m 644 reflector/typehandlers/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-reflector-types.pom
%add_to_maven_depmap org.ops4j.pax.reflector pax-reflector-types %{reflector_version} JPP/%{name} pax-reflector-types
#BUILD/ops4j-pax-1.5/reflector/typehandlers/target/pax-reflector-types-0.9.11-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{reflector_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{reflector_version}||g"`; done)

install -m 644 remoting/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-remoting.pom
%add_to_maven_depmap org.ops4j.pax.remoting remoting %{remoting_version} JPP/%{name} remoting
install -m 644 remoting/bootstrap/target/pax-remoting-bootstrap-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-remoting-bootstrap-%{remoting_version}.jar
install -m 644 remoting/bootstrap/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-remoting-bootstrap.pom
%add_to_maven_depmap org.ops4j.pax.remoting pax-remoting-bootstrap %{remoting_version} JPP/%{name} pax-remoting-bootstrap
#BUILD/ops4j-pax-1.5/remoting/bootstrap/target/pax-remoting-bootstrap-0.1.0-SNAPSHOT.jar
install -m 644 remoting/rmi/target/pax-remoting-rmi-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-remoting-rmi-%{remoting_version}.jar
install -m 644 remoting/rmi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-remoting-rmi.pom
%add_to_maven_depmap org.ops4j.pax.remoting pax-remoting-rmi %{remoting_version} JPP/%{name} pax-remoting-rmi
#BUILD/ops4j-pax-1.5/remoting/rmi/target/pax-remoting-rmi-0.1.0-SNAPSHOT.jar
install -m 644 remoting/tests/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-remoting-tests.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests tests %{remoting_version} JPP/%{name} remoting-tests
install -m 644 remoting/tests/rmi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-remoting-tests-rmi.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi %{remoting_version} JPP/%{name} remoting-tests-rmi
install -m 644 remoting/tests/rmi/classloading/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-remoting-tests-rmi-classloading.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi-classloading %{remoting_version} JPP/%{name} remoting-tests-rmi-classloading
install -m 644 remoting/tests/rmi/classloading/client/target/rmi-classloading-client-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/rmi-classloading-client-%{remoting_version}.jar
install -m 644 remoting/tests/rmi/classloading/client/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rmi-classloading-client.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi-classloading-client %{remoting_version} JPP/%{name} rmi-classloading-client
#BUILD/ops4j-pax-1.5/remoting/tests/rmi/classloading/client/target/rmi-classloading-client-0.1.0-SNAPSHOT.jar
install -m 644 remoting/tests/rmi/classloading/gob-client/target/rmi-classloading-gob-client-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/rmi-classloading-gob-client-%{remoting_version}.jar
install -m 644 remoting/tests/rmi/classloading/gob-client/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rmi-classloading-gob-client.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi-classloading-gob-client %{remoting_version} JPP/%{name} rmi-classloading-gob-client
#BUILD/ops4j-pax-1.5/remoting/tests/rmi/classloading/gob-client/target/rmi-classloading-gob-client-0.1.0-SNAPSHOT.jar
install -m 644 remoting/tests/rmi/classloading/gob-server/target/rmi-classloading-gob-server-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/rmi-classloading-gob-server-%{remoting_version}.jar
install -m 644 remoting/tests/rmi/classloading/gob-server/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rmi-classloading-gob-server.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi-classloading-gob-server %{remoting_version} JPP/%{name} rmi-classloading-gob-server
#BUILD/ops4j-pax-1.5/remoting/tests/rmi/classloading/gob-server/target/rmi-classloading-gob-server-0.1.0-SNAPSHOT.jar
install -m 644 remoting/tests/rmi/classloading/server/target/rmi-classloading-server-%{remoting_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/rmi-classloading-server-%{remoting_version}.jar
install -m 644 remoting/tests/rmi/classloading/server/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rmi-classloading-server.pom
%add_to_maven_depmap org.ops4j.pax.remoting.tests rmi-classloading-server %{remoting_version} JPP/%{name} rmi-classloading-server
#BUILD/ops4j-pax-1.5/remoting/tests/rmi/classloading/server/target/rmi-classloading-server-0.1.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{remoting_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{remoting_version}||g"`; done)

install -m 644 runner/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-runner.pom
%add_to_maven_depmap org.ops4j.pax runner %{runner_version} JPP/%{name} runner
install -m 644 runner/pax-runner-commons/target/pax-runner-commons-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-commons-%{runner_version}.jar
install -m 644 runner/pax-runner-commons/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-commons.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-commons %{runner_version} JPP/%{name} pax-runner-commons
#BUILD/ops4j-pax-1.5/runner/pax-runner-commons/target/pax-runner-commons-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-handler/target/pax-runner-handler-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-handler-%{runner_version}.jar
install -m 644 runner/pax-runner-handler/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-handler.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-handler %{runner_version} JPP/%{name} pax-runner-handler
#BUILD/ops4j-pax-1.5/runner/pax-runner-handler/target/pax-runner-handler-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform-concierge/target/pax-runner-platform-concierge-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-concierge-%{runner_version}.jar
install -m 644 runner/pax-runner-platform-concierge/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform-concierge.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform-concierge %{runner_version} JPP/%{name} pax-runner-platform-concierge
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform-concierge/target/pax-runner-platform-concierge-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform-console/target/pax-runner-platform-console-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-console-%{runner_version}.jar
install -m 644 runner/pax-runner-platform-console/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform-console.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform-console %{runner_version} JPP/%{name} pax-runner-platform-console
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform-console/target/pax-runner-platform-console-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform-equinox/target/pax-runner-platform-equinox-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-equinox-%{runner_version}.jar
install -m 644 runner/pax-runner-platform-equinox/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform-equinox.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform-equinox %{runner_version} JPP/%{name} pax-runner-platform-equinox
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform-equinox/target/pax-runner-platform-equinox-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform-felix/target/pax-runner-platform-felix-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-felix-%{runner_version}.jar
install -m 644 runner/pax-runner-platform-felix/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform-felix.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform-felix %{runner_version} JPP/%{name} pax-runner-platform-felix
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform-felix/target/pax-runner-platform-felix-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform-knopflerfish/target/pax-runner-platform-knopflerfish-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-knopflerfish-%{runner_version}.jar
install -m 644 runner/pax-runner-platform-knopflerfish/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform-knopflerfish.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform-knopflerfish %{runner_version} JPP/%{name} pax-runner-platform-knopflerfish
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform-knopflerfish/target/pax-runner-platform-knopflerfish-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-platform/target/pax-runner-platform-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-platform-%{runner_version}.jar
install -m 644 runner/pax-runner-platform/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-platform.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-platform %{runner_version} JPP/%{name} pax-runner-platform
#BUILD/ops4j-pax-1.5/runner/pax-runner-platform/target/pax-runner-platform-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-provision-console/target/pax-runner-provision-console-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-provision-console-%{runner_version}.jar
install -m 644 runner/pax-runner-provision-console/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-provision-console.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-provision-console %{runner_version} JPP/%{name} pax-runner-provision-console
#BUILD/ops4j-pax-1.5/runner/pax-runner-provision-console/target/pax-runner-provision-console-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-provision/target/pax-runner-provision-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-provision-%{runner_version}.jar
install -m 644 runner/pax-runner-provision/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-provision.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-provision %{runner_version} JPP/%{name} pax-runner-provision
#BUILD/ops4j-pax-1.5/runner/pax-runner-provision/target/pax-runner-provision-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-bundle/target/pax-runner-scanner-bundle-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-bundle-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-bundle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-bundle.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-bundle %{runner_version} JPP/%{name} pax-runner-scanner-bundle
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-bundle/target/pax-runner-scanner-bundle-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-dir/target/pax-runner-scanner-dir-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-dir-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-dir/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-dir.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-dir %{runner_version} JPP/%{name} pax-runner-scanner-dir
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-dir/target/pax-runner-scanner-dir-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-file/target/pax-runner-scanner-file-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-file-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-file/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-file.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-file %{runner_version} JPP/%{name} pax-runner-scanner-file
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-file/target/pax-runner-scanner-file-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-obr-script/target/pax-runner-scanner-obr-script-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-obr-script-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-obr-script/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-obr-script.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-obr-script %{runner_version} JPP/%{name} pax-runner-scanner-obr-script
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-obr-script/target/pax-runner-scanner-obr-script-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-obr/target/pax-runner-scanner-obr-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-obr-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-obr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-obr.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-obr %{runner_version} JPP/%{name} pax-runner-scanner-obr
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-obr/target/pax-runner-scanner-obr-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner-scanner-pom/target/pax-runner-scanner-pom-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-scanner-pom-%{runner_version}.jar
install -m 644 runner/pax-runner-scanner-pom/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner-scanner-pom.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner-scanner-pom %{runner_version} JPP/%{name} pax-runner-scanner-pom
#BUILD/ops4j-pax-1.5/runner/pax-runner-scanner-pom/target/pax-runner-scanner-pom-0.11.1-SNAPSHOT.jar
install -m 644 runner/pax-runner/target/pax-runner-%{runner_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-runner-%{runner_version}.jar
install -m 644 runner/pax-runner/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-runner.pom
%add_to_maven_depmap org.ops4j.pax.runner pax-runner %{runner_version} JPP/%{name} pax-runner
#BUILD/ops4j-pax-1.5/runner/pax-runner/target/pax-runner-0.11.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{runner_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{runner_version}||g"`; done)

install -m 644 servicemanager/target/pax-servicemanager-%{servicemanager_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-servicemanager-%{servicemanager_version}.jar
install -m 644 servicemanager/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-servicemanager.pom
%add_to_maven_depmap org.ops4j.pax.servicemanager pax-servicemanager %{servicemanager_version} JPP/%{name} pax-servicemanager
#BUILD/ops4j-pax-1.5/servicemanager/target/pax-servicemanager-1.0.3-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{servicemanager_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{servicemanager_version}||g"`; done)

install -m 644 swissbox/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-swissbox.pom
%add_to_maven_depmap org.ops4j.pax swissbox %{swissbox_version} JPP/%{name} swissbox
install -m 644 swissbox/pax-swissbox-core/target/pax-swissbox-core-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-core-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-core.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-core %{swissbox_version} JPP/%{name} pax-swissbox-core
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-core/target/pax-swissbox-core-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/pax-swissbox-extender/target/pax-swissbox-extender-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-extender-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-extender/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-extender.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-extender %{swissbox_version} JPP/%{name} pax-swissbox-extender
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-extender/target/pax-swissbox-extender-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/pax-swissbox-lifecycle/target/pax-swissbox-lifecycle-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-lifecycle-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-lifecycle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-lifecycle.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-lifecycle %{swissbox_version} JPP/%{name} pax-swissbox-lifecycle
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-lifecycle/target/pax-swissbox-lifecycle-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/pax-swissbox-optional-jcl/target/pax-swissbox-optional-jcl-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-optional-jcl-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-optional-jcl/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-optional-jcl.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-optional-jcl %{swissbox_version} JPP/%{name} pax-swissbox-optional-jcl
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-optional-jcl/target/pax-swissbox-optional-jcl-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/pax-swissbox-property/target/pax-swissbox-property-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-property-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-property/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-property.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-property %{swissbox_version} JPP/%{name} pax-swissbox-property
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-property/target/pax-swissbox-property-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/pax-swissbox-tracker/target/pax-swissbox-tracker-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-swissbox-tracker-%{swissbox_version}.jar
install -m 644 swissbox/pax-swissbox-tracker/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-swissbox-tracker.pom
%add_to_maven_depmap org.ops4j.pax.swissbox pax-swissbox-tracker %{swissbox_version} JPP/%{name} pax-swissbox-tracker
#BUILD/ops4j-pax-1.5/swissbox/pax-swissbox-tracker/target/pax-swissbox-tracker-0.2.1-SNAPSHOT.jar
install -m 644 swissbox/samples/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-swissbox-samples.pom
%add_to_maven_depmap org.ops4j.pax.swissbox samples %{swissbox_version} JPP/%{name} swissbox-samples
install -m 644 swissbox/samples/extender/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-swissbox-samples-extender.pom
%add_to_maven_depmap org.ops4j.pax.swissbox.samples extender %{swissbox_version} JPP/%{name} swissbox-samples-extender
install -m 644 swissbox/samples/extender/manifest-extender/target/manifest-extender-%{swissbox_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/manifest-extender-%{swissbox_version}.jar
install -m 644 swissbox/samples/extender/manifest-extender/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-manifest-extender.pom
%add_to_maven_depmap org.ops4j.pax.swissbox.samples.extender manifest-extender %{swissbox_version} JPP/%{name} manifest-extender
#BUILD/ops4j-pax-1.5/swissbox/samples/extender/manifest-extender/target/manifest-extender-0.2.1-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{swissbox_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{swissbox_version}||g"`; done)

install -m 644 url/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-url.pom
%add_to_maven_depmap org.ops4j.pax url %{url_version} JPP/%{name} url
install -m 644 url/pax-url-bnd/target/pax-url-bnd-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-bnd-%{url_version}.jar
install -m 644 url/pax-url-bnd/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-bnd.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-bnd %{url_version} JPP/%{name} pax-url-bnd
#BUILD/ops4j-pax-1.5/url/pax-url-bnd/target/pax-url-bnd-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-classpath/target/pax-url-classpath-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-classpath-%{url_version}.jar
install -m 644 url/pax-url-classpath/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-classpath.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-classpath %{url_version} JPP/%{name} pax-url-classpath
#BUILD/ops4j-pax-1.5/url/pax-url-classpath/target/pax-url-classpath-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-commons/target/pax-url-commons-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-commons-%{url_version}.jar
install -m 644 url/pax-url-commons/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-commons.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-commons %{url_version} JPP/%{name} pax-url-commons
#BUILD/ops4j-pax-1.5/url/pax-url-commons/target/pax-url-commons-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-mvn/target/pax-url-mvn-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-mvn-%{url_version}.jar
install -m 644 url/pax-url-mvn/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-mvn.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-mvn %{url_version} JPP/%{name} pax-url-mvn
#BUILD/ops4j-pax-1.5/url/pax-url-mvn/target/pax-url-mvn-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-obr/target/pax-url-obr-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-obr-%{url_version}.jar
install -m 644 url/pax-url-obr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-obr.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-obr %{url_version} JPP/%{name} pax-url-obr
#BUILD/ops4j-pax-1.5/url/pax-url-obr/target/pax-url-obr-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-war/target/pax-url-war-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-war-%{url_version}.jar
install -m 644 url/pax-url-war/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-war.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-war %{url_version} JPP/%{name} pax-url-war
#BUILD/ops4j-pax-1.5/url/pax-url-war/target/pax-url-war-0.3.3-SNAPSHOT.jar
install -m 644 url/pax-url-wrap/target/pax-url-wrap-%{url_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-url-wrap-%{url_version}.jar
install -m 644 url/pax-url-wrap/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-url-wrap.pom
%add_to_maven_depmap org.ops4j.pax.url pax-url-wrap %{url_version} JPP/%{name} pax-url-wrap
#BUILD/ops4j-pax-1.5/url/pax-url-wrap/target/pax-url-wrap-0.3.3-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{url_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{url_version}||g"`; done)

install -m 644 web/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom
%add_to_maven_depmap org.ops4j.pax web %{web_version} JPP/%{name} web
install -m 644 web/bundle/target/pax-web-bundle-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-web-bundle-%{web_version}.jar
install -m 644 web/bundle/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-bundle.pom
%add_to_maven_depmap org.ops4j.pax.web pax-web-bundle %{web_version} JPP/%{name} pax-web-bundle
#BUILD/ops4j-pax-1.5/web/bundle/target/pax-web-bundle-0.5.0-SNAPSHOT.jar
install -m 644 web/jsp/target/pax-web-jsp-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-web-jsp-%{web_version}.jar
install -m 644 web/jsp/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-jsp.pom
%add_to_maven_depmap org.ops4j.pax.web pax-web-jsp %{web_version} JPP/%{name} pax-web-jsp
#BUILD/ops4j-pax-1.5/web/jsp/target/pax-web-jsp-0.5.0-SNAPSHOT.jar
install -m 644 web/samples/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-samples.pom
%add_to_maven_depmap org.ops4j.pax.web samples %{web_version} JPP/%{name} pax-web-samples
install -m 644 web/samples/authentication/target/authentication-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/authentication-%{web_version}.jar
install -m 644 web/samples/authentication/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-authentication.pom
%add_to_maven_depmap org.ops4j.pax.web.samples authentication %{web_version} JPP/%{name} authentication
#BUILD/ops4j-pax-1.5/web/samples/authentication/target/authentication-0.5.0-SNAPSHOT.jar
install -m 644 web/samples/helloworld-hs/target/helloworld-hs-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/helloworld-hs-%{web_version}.jar
install -m 644 web/samples/helloworld-hs/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-helloworld-hs.pom
%add_to_maven_depmap org.ops4j.pax.web.samples helloworld-hs %{web_version} JPP/%{name} helloworld-hs
#BUILD/ops4j-pax-1.5/web/samples/helloworld-hs/target/helloworld-hs-0.5.0-SNAPSHOT.jar
install -m 644 web/samples/helloworld-jsp/target/helloworld-jsp-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/helloworld-jsp-%{web_version}.jar
install -m 644 web/samples/helloworld-jsp/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-helloworld-jsp.pom
%add_to_maven_depmap org.ops4j.pax.web.samples helloworld-jsp %{web_version} JPP/%{name} helloworld-jsp
#BUILD/ops4j-pax-1.5/web/samples/helloworld-jsp/target/helloworld-jsp-0.5.0-SNAPSHOT.jar
install -m 644 web/samples/helloworld-wc/target/helloworld-wc-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/helloworld-wc-%{web_version}.jar
install -m 644 web/samples/helloworld-wc/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-helloworld-wc.pom
%add_to_maven_depmap org.ops4j.pax.web.samples helloworld-wc %{web_version} JPP/%{name} helloworld-wc
#BUILD/ops4j-pax-1.5/web/samples/helloworld-wc/target/helloworld-wc-0.5.0-SNAPSHOT.jar
install -m 644 web/samples/provision/target/provision-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/provision-%{web_version}.jar
install -m 644 web/samples/provision/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-provision.pom
%add_to_maven_depmap org.ops4j.pax.web.samples provision %{web_version} JPP/%{name} provision
#BUILD/ops4j-pax-1.5/web/samples/provision/target/provision-0.5.0-SNAPSHOT.jar
install -m 644 web/service/target/pax-web-service-%{web_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-web-service-%{web_version}.jar
install -m 644 web/service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-service.pom
%add_to_maven_depmap org.ops4j.pax.web pax-web-service %{web_version} JPP/%{name} pax-web-service
#BUILD/ops4j-pax-1.5/web/service/target/pax-web-service-0.5.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{web_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{web_version}||g"`; done)

install -m 644 web-extender/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web-extender.pom
%add_to_maven_depmap org.ops4j.pax web-extender %{web_extender_version} JPP/%{name} web-extender
install -m 644 web-extender/samples/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web-extender-samples.pom
%add_to_maven_depmap org.ops4j.pax.web-extender samples %{web_extender_version} JPP/%{name} web-extender-samples
install -m 644 web-extender/samples/provision/target/provision-%{web_extender_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/ex-provision-%{web_extender_version}.jar
install -m 644 web-extender/samples/provision/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ex-provision.pom
%add_to_maven_depmap org.ops4j.pax.web-extender.samples provision %{web_extender_version} JPP/%{name} ex-provision
#BUILD/ops4j-pax-1.5/web-extender/samples/provision/target/provision-0.4.0-SNAPSHOT.jar
install -m 644 web-extender/samples/whiteboard/target/whiteboard-%{web_extender_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/whiteboard-%{web_extender_version}.jar
install -m 644 web-extender/samples/whiteboard/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-whiteboard.pom
%add_to_maven_depmap org.ops4j.pax.web-extender.samples whiteboard %{web_extender_version} JPP/%{name} whiteboard
#BUILD/ops4j-pax-1.5/web-extender/samples/whiteboard/target/whiteboard-0.4.0-SNAPSHOT.jar
install -m 644 web-extender/war/target/pax-web-ex-war-%{web_extender_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-web-ex-war-%{web_extender_version}.jar
install -m 644 web-extender/war/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-ex-war.pom
%add_to_maven_depmap org.ops4j.pax.web-extender pax-web-ex-war %{web_extender_version} JPP/%{name} pax-web-ex-war
#BUILD/ops4j-pax-1.5/web-extender/war/target/pax-web-ex-war-0.4.0-SNAPSHOT.jar
install -m 644 web-extender/whiteboard/target/pax-web-ex-whiteboard-%{web_extender_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-web-ex-whiteboard-%{web_extender_version}.jar
install -m 644 web-extender/whiteboard/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-web-ex-whiteboard.pom
%add_to_maven_depmap org.ops4j.pax.web-extender pax-web-ex-whiteboard %{web_extender_version} JPP/%{name} pax-web-ex-whiteboard
#BUILD/ops4j-pax-1.5/web-extender/whiteboard/target/pax-web-ex-whiteboard-0.4.0-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{web_extender_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{web_extender_version}||g"`; done)

install -m 644 wicket/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket.pom
%add_to_maven_depmap org.ops4j.pax.wicket wicket %{wicket_version} JPP/%{name} wicket
install -m 644 wicket/integrationTest/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket-integrationTest.pom
%add_to_maven_depmap org.ops4j.pax.wicket integrationTest %{wicket_version} JPP/%{name} wicket-integrationTest
install -m 644 wicket/integrationTest/bootstrap/target/bootstrap-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/bootstrap-%{wicket_version}.jar
install -m 644 wicket/integrationTest/bootstrap/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket-integrationTest-bootstrap.pom
%add_to_maven_depmap org.ops4j.pax.wicket.integrationTest bootstrap %{wicket_version} JPP/%{name} wicket-integrationTest-bootstrap
#BUILD/ops4j-pax-1.5/wicket/integrationTest/bootstrap/target/bootstrap-0.5.4-SNAPSHOT.jar
install -m 644 wicket/integrationTest/bundles/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket-integrationTest-bundles.pom
%add_to_maven_depmap org.ops4j.pax.wicket.integrationTest bundles %{wicket_version} JPP/%{name} wicket-integrationTest-bundles
install -m 644 wicket/integrationTest/bundles/simpleApp/target/simpleApp-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/simpleApp-%{wicket_version}.jar
install -m 644 wicket/integrationTest/bundles/simpleApp/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simpleApp.pom
%add_to_maven_depmap org.ops4j.pax.wicket.integrationTest.bundles simpleApp %{wicket_version} JPP/%{name} simpleApp
#BUILD/ops4j-pax-1.5/wicket/integrationTest/bundles/simpleApp/target/simpleApp-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket-samples.pom
%add_to_maven_depmap org.ops4j.pax.wicket samples %{wicket_version} JPP/%{name} wicket-samples
install -m 644 wicket/samples/department-store/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wicket-samples-department-store.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples departmentstore %{wicket_version} JPP/%{name} wicket-samples-department-store
install -m 644 wicket/samples/department-store/about/target/departmentstore-view-about-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-view-about-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/about/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-view-about.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore.view departmentstore-view-about %{wicket_version} JPP/%{name} departmentstore-view-about
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/about/target/departmentstore-view-about-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/application/target/departmentstore-view-application-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-view-application-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/application/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-view-application.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore.view departmentstore-view-application %{wicket_version} JPP/%{name} departmentstore-view-application
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/application/target/departmentstore-view-application-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/floor/target/departmentstore-view-floor-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-view-floor-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/floor/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-view-floor.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore.view departmentstore-view-floor %{wicket_version} JPP/%{name} departmentstore-view-floor
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/floor/target/departmentstore-view-floor-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/franchisee/target/departmentstore-view-franchisee-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-view-franchisee-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/franchisee/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-view-franchisee.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore.view departmentstore-view-franchisee %{wicket_version} JPP/%{name} departmentstore-view-franchisee
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/franchisee/target/departmentstore-view-franchisee-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/model/target/departmentstore-model-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-model-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/model/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-model.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore departmentstore-model %{wicket_version} JPP/%{name} departmentstore-model
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/model/target/departmentstore-model-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/service-alternative/target/departmentstore-service-alternative-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-service-alternative-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/service-alternative/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-service-alternative.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore departmentstore-service-alternative %{wicket_version} JPP/%{name} departmentstore-service-alternative
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/service-alternative/target/departmentstore-service-alternative-0.5.4-SNAPSHOT.jar
install -m 644 wicket/samples/department-store/service-basic/target/departmentstore-service-basic-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/departmentstore-service-basic-%{wicket_version}.jar
install -m 644 wicket/samples/department-store/service-basic/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-departmentstore-service-basic.pom
%add_to_maven_depmap org.ops4j.pax.wicket.samples.departmentstore departmentstore-service-basic %{wicket_version} JPP/%{name} departmentstore-service-basic
#BUILD/ops4j-pax-1.5/wicket/samples/department-store/service-basic/target/departmentstore-service-basic-0.5.4-SNAPSHOT.jar
install -m 644 wicket/service/target/pax-wicket-service-%{wicket_version}-SNAPSHOT.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/pax-wicket-service-%{wicket_version}.jar
install -m 644 wicket/service/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pax-wicket-service.pom
%add_to_maven_depmap org.ops4j.pax.wicket pax-wicket-service %{wicket_version} JPP/%{name} pax-wicket-service
#BUILD/ops4j-pax-1.5/wicket/service/target/pax-wicket-service-0.5.4-SNAPSHOT.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{wicket_version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{wicket_version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#rm -rf target/site/apidocs*

## manual
#install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp -pr target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
#cp -p core/src/main/resources/META-INF/LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%postun javadoc
#if [ "$1" = "0" ]; then
#    rm -f %{_javadocdir}/%{name}
#fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files coin
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/coin*.jar
%{_javadir}/%{name}/samples*.jar

%files confman
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/confman*.jar

%files construct
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/maven-archetype-osgi-bundle*.jar
%{_javadir}/%{name}/maven-archetype-osgi-project*.jar
%{_javadir}/%{name}/maven-archetype-osgi-service*.jar
%{_javadir}/%{name}/maven-archetype-osgi-wrapper*.jar
%{_javadir}/%{name}/maven-archetype-spring-bean*.jar
%{_javadir}/%{name}/maven-inherit-plugin*.jar
%{_javadir}/%{name}/maven-pax-plugin*.jar

%files drone
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/drone*.jar

%files logging
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/logging*.jar

%files maven
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/maven-bundle-plugin*.jar

%files radman
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/demo*.jar
%{_javadir}/%{name}/pax-event*.jar
%{_javadir}/%{name}/pax-derby*.jar
%{_javadir}/%{name}/pax-openjpa*.jar
%{_javadir}/%{name}/radman*.jar
%{_javadir}/%{name}/serverSimulator*.jar
%{_javadir}/%{name}/tester*.jar

%files reflector
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-reflector*.jar

%files remoting
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-remoting*.jar
%{_javadir}/%{name}/rmi*.jar

%files runner
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-runner*.jar

%files servicemanager
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-servicemanager*.jar

%files swissbox
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-swissbox*.jar
%{_javadir}/%{name}/manifest-extender*.jar

%files url
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-url*.jar

%files web
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-web-bundle*.jar
%{_javadir}/%{name}/pax-web-jsp*.jar
%{_javadir}/%{name}/pax-web-service*.jar
%{_javadir}/%{name}/provision*.jar
%{_javadir}/%{name}/authentication*.jar
%{_javadir}/%{name}/helloworld*.jar

%files web-extender
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-web-ex*.jar
%{_javadir}/%{name}/ex-provision*.jar
%{_javadir}/%{name}/whiteboard*.jar

%files wicket
%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{name}/pax-wicket*.jar
%{_javadir}/%{name}/bootstrap*.jar
%{_javadir}/%{name}/departmentstore*.jar
%{_javadir}/%{name}/simpleApp*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

#%files manual
#%defattr(0644,root,root,0755)
#%{_docdir}/%{name}-%{version}

%changelog
* Mon Aug 18 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5-1.jpp5
- First release

